include:
    - project: "operator-ict/devops/gitlab-ci-pipeline"
      file:
          - '/code-quality/sonar-cloud.yml'
          - '/npm/golemio-module-cache.yml'
          - '/golemio/module-tests/rabbit.yml'
          - '/npm/publish.yml'
          - '/npm/pages.yml'
          - '/npm-bump-dependencies/golemio-all.yaml'
stages:
    - test
    - deploy
    - bump

variables:
    BUMP_PACKAGES_LIST: "@golemio/general@dev"

npm_publish:
    after_script:
        - npm deprecate "@golemio/general" "This module has been archived and is no longer maintained."
